TaskAttemptID (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce
Class TaskAttemptID

    java.lang.Object
      org.apache.hadoop.mapreduce.ID
          org.apache.hadoop.mapred.ID
              org.apache.hadoop.mapreduce.TaskAttemptID

All Implemented Interfaces:
  Comparable<ID>, Writable, WritableComparable<ID>

Direct Known Subclasses:
  TaskAttemptID

    public class TaskAttemptID

extends ID

TaskAttemptID represents the immutable and unique identifier for a task attempt. Each task attempt is one particular instance of a Map or Reduce Task identified by its TaskID. TaskAttemptID consists of 2 parts. First part is the `TaskID`, that this TaskAttemptID belongs to. Second part is the task attempt number.
An example TaskAttemptID is : `attempt_200707121733_0003_m_000005_0` , which represents the zeroth task attempt for the fifth map task in the third job running at the jobtracker started at `200707121733`.

Applications should never construct or parse TaskAttemptID strings , but rather use appropriate constructors or `forName(String)` method.

See Also:
  `JobID`, `TaskID`

Field Summary
`protected static String` | `ATTEMPT`

Fields inherited from class org.apache.hadoop.mapreduce.ID
`id, SEPARATOR`

Constructor Summary
`TaskAttemptID()`
`TaskAttemptID(String jtIdentifier, int jobId, boolean isMap, int taskId, int id)` Constructs a TaskId object from given parts.
`TaskAttemptID(TaskID taskId, int id)` Constructs a TaskAttemptID object from given `TaskID`.

Method Summary
`protected StringBuilder` | `appendTo(StringBuilder builder)` Add the unique string to the StringBuilder
`int` | `compareTo(ID o)` Compare TaskIds by first tipIds, then by task numbers.
`boolean` | `equals(Object o)`
`static TaskAttemptID` | `forName(String str)` Construct a TaskAttemptID object from given string
`JobID` | `getJobID()` Returns the `JobID` object that this task attempt belongs to
`TaskID` | `getTaskID()` Returns the `TaskID` object that this task attempt belongs to
`int` | `hashCode()`
`boolean` | `isMap()` Returns whether this TaskAttemptID is a map ID
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`String` | `toString()`
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class org.apache.hadoop.mapreduce.ID
`getId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTEMPT

    protected static final String ATTEMPT

See Also:
  Constant Field Values

Constructor Detail

### TaskAttemptID

    public TaskAttemptID(TaskID taskId,
                         int id)

  Constructs a TaskAttemptID object from given `TaskID`.

  Parameters:
    `taskId` - TaskID that this task belongs to
    `id` - the task attempt number

### TaskAttemptID

    public TaskAttemptID(String jtIdentifier,
                         int jobId,
                         boolean isMap,
                         int taskId,
                         int id)

  Constructs a TaskId object from given parts.

  Parameters:
    `jtIdentifier` - jobTracker identifier
    `jobId` - job number
    `isMap` - whether the tip is a map
    `taskId` - taskId number
    `id` - the task attempt number

### TaskAttemptID

    public TaskAttemptID()

Method Detail

### getJobID

    public JobID getJobID()

  Returns the `JobID` object that this task attempt belongs to

### getTaskID

    public TaskID getTaskID()

  Returns the `TaskID` object that this task attempt belongs to

### isMap

    public boolean isMap()

  Returns whether this TaskAttemptID is a map ID

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `ID`

### appendTo

    protected StringBuilder appendTo(StringBuilder builder)

  Add the unique string to the StringBuilder

  Parameters:
    `builder` - the builder to append ot
  Returns:
    the builder that was passed in.

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Overrides:
    `readFields` in class `ID`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Overrides:
    `write` in class `ID`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ID`

### compareTo

    public int compareTo(ID o)

  Compare TaskIds by first tipIds, then by task numbers.

  Specified by:
    `compareTo` in interface `Comparable<ID>`
  Overrides:
    `compareTo` in class `ID`

### toString

    public String toString()

  Overrides:
    `toString` in class `ID`

### forName

    public static TaskAttemptID forName(String str)
                                 throws IllegalArgumentException

  Construct a TaskAttemptID object from given string

  Returns:
    constructed TaskAttemptID object or null if the given String is null
  Throws:
    `IllegalArgumentException` - if the given string is malformed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation